# Class StateSnapshot<T>

java.lang.Object
nu.validator.htmlparser.impl.StateSnapshot<T>

All Implemented Interfaces:
  `TreeBuilderState<T>`

public class StateSnapshot<T> extends Object implements TreeBuilderState<T>

## Method Summary

Modifier and Type
Method
Description
`T`
`getFormPointer()`
Returns the formPointer.
`T`
`getHeadPointer()`
Returns the headPointer.
`nu.validator.htmlparser.impl.StackNode<T>[]`
`getListOfActiveFormattingElements()`
Returns the listOfActiveFormattingElements.
`int`
`getListOfActiveFormattingElementsLength()`
Return the length of the list of active formatting elements.
`int`
`getMode()`
Returns the mode.
`int`
`getOriginalMode()`
Returns the originalMode.
`nu.validator.htmlparser.impl.StackNode<T>[]`
`getStack()`
Returns the stack.
`int`
`getStackLength()`
Return the length of the stack.
`int[]`
`getTemplateModeStack()`
Returns the stack of template insertion modes.
`int`
`getTemplateModeStackLength()`
Return the length of the stack of template insertion modes.
`boolean`
`isFramesetOk()`
Returns the framesetOk.
`boolean`
`isNeedToDropLF()`
Returns the needToDropLF.
`boolean`
`isQuirks()`
Returns the quirks.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStack

public nu.validator.htmlparser.impl.StackNode<T>[] getStack()
Description copied from interface: `TreeBuilderState`
Returns the stack.

Specified by:
  `getStack` in interface `TreeBuilderState<T>`
Returns:
  the stack
See Also:
  - `TreeBuilderState.getStack()`

### getTemplateModeStack

public int[] getTemplateModeStack()
Description copied from interface: `TreeBuilderState`
Returns the stack of template insertion modes.

Specified by:
  `getTemplateModeStack` in interface `TreeBuilderState<T>`
Returns:
  the stack of template insertion modes
See Also:
  - `TreeBuilderState.getTemplateModeStack()`

### getListOfActiveFormattingElements

public nu.validator.htmlparser.impl.StackNode<T>[] getListOfActiveFormattingElements()
Description copied from interface: `TreeBuilderState`
Returns the listOfActiveFormattingElements.

Specified by:
  `getListOfActiveFormattingElements` in interface `TreeBuilderState<T>`
Returns:
  the listOfActiveFormattingElements
See Also:
  - `TreeBuilderState.getListOfActiveFormattingElements()`

### getFormPointer

public T getFormPointer()
Description copied from interface: `TreeBuilderState`
Returns the formPointer.

Specified by:
  `getFormPointer` in interface `TreeBuilderState<T>`
Returns:
  the formPointer
See Also:
  - `TreeBuilderState.getFormPointer()`

### getHeadPointer

public T getHeadPointer()
Returns the headPointer.

Specified by:
  `getHeadPointer` in interface `TreeBuilderState<T>`
Returns:
  the headPointer

### getMode

public int getMode()
Returns the mode.

Specified by:
  `getMode` in interface `TreeBuilderState<T>`
Returns:
  the mode

### getOriginalMode

public int getOriginalMode()
Returns the originalMode.

Specified by:
  `getOriginalMode` in interface `TreeBuilderState<T>`
Returns:
  the originalMode

### isFramesetOk

public boolean isFramesetOk()
Returns the framesetOk.

Specified by:
  `isFramesetOk` in interface `TreeBuilderState<T>`
Returns:
  the framesetOk

### isNeedToDropLF

public boolean isNeedToDropLF()
Returns the needToDropLF.

Specified by:
  `isNeedToDropLF` in interface `TreeBuilderState<T>`
Returns:
  the needToDropLF

### isQuirks

public boolean isQuirks()
Returns the quirks.

Specified by:
  `isQuirks` in interface `TreeBuilderState<T>`
Returns:
  the quirks

### getListOfActiveFormattingElementsLength

public int getListOfActiveFormattingElementsLength()
Description copied from interface: `TreeBuilderState`
Return the length of the list of active formatting elements.

Specified by:
  `getListOfActiveFormattingElementsLength` in interface `TreeBuilderState<T>`
Returns:
  the length of the list of active formatting elements.
See Also:
  - `TreeBuilderState.getListOfActiveFormattingElementsLength()`

### getStackLength

public int getStackLength()
Description copied from interface: `TreeBuilderState`
Return the length of the stack.

Specified by:
  `getStackLength` in interface `TreeBuilderState<T>`
Returns:
  the length of the stack.
See Also:
  - `TreeBuilderState.getStackLength()`

### getTemplateModeStackLength

public int getTemplateModeStackLength()
Description copied from interface: `TreeBuilderState`
Return the length of the stack of template insertion modes.

Specified by:
  `getTemplateModeStackLength` in interface `TreeBuilderState<T>`
Returns:
  the length of the stack of template insertion modes.
See Also:
  - `TreeBuilderState.getTemplateModeStackLength()`